[code] [textadept] Textadept 7.1 Doesn't Start (ui.lua:201: bad argument #1 to 'pairs' (table expected, got string))

From: Jason Schindler <jschind.att.gmail.com>
Date: Mon, 25 Nov 2013 23:04:25 -0600

I just tried upgrading to 7.1 on Fedora Linux x86_64 and received the
following error in an alert window:

textadept_7.1.x86_64/core/ui.lua:201: bad argument #1 to 'pairs'
(table expected, got string)

The console outputs:

.../apps/textadept_7.1.x86_64/modules/textadept/editing.lua:110:
attempt to call method 'get_lexer' (a nil
value)...ps/textadept_7.1.x86_64/modules/textadept/file_types.lua:116:
attempt to call method 'set_lexer' (a nil
value)...ler/apps/textadept_7.1.x86_64/modules/textadept/menu.lua:366:
attempt to call method 'get_lexer' (a nil
value)...ps/textadept_7.1.x86_64/modules/textadept/file_types.lua:112:
attempt to call method 'set_lexer' (a nil value)

Has anyone else had issues? I was previously using 7.0 beta 4 without
any problem.

Thanks!

-Jason

-- 
You are subscribed to code.att.foicica.com.
To change subscription settings, send an e-mail to code+help.att.foicica.com.
To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
Received on Tue 26 Nov 2013 - 00:04:25 EST

This archive was generated by hypermail 2.2.0 : Tue 26 Nov 2013 - 06:25:25 EST